Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class FeatureTypeConstraint

    java.lang.Object
      org.deegree.graphics.sld.FeatureTypeConstraint

All Implemented Interfaces:
  Marshallable

    public class FeatureTypeConstraint

extends Object
implements Marshallable

A FeatureTypeConstraint element is used to identify a feature type by well-known name, using the FeatureTypeName element.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Constructor Summary
`FeatureTypeConstraint(QualifiedName featureTypeName, Filter filter, Extent[] extents)` constructor initializing the class with the

Method Summary
`void` | `addExtent(Extent extent)` Adds an Extent to the Extent-List of a FeatureTypeConstraint
`String` | `exportAsXML()` exports the content of the FeatureTypeConstraint as XML formated String
`Extent[]` | `getExtents()` returns the extent for filtering the feature type
`QualifiedName` | `getFeatureTypeName()` returns the name of the feature type
`Filter` | `getFilter()` returns a feature-filter as defined in WFS specifications.
`void` | `removeExtent(Extent extent)` Removes an Extent from the Extent-List of a FeatureTypeConstraint
`void` | `setExtents(Extent[] extents)` sets the extent for filtering the feature type
`void` | `setFeatureTypeName(QualifiedName featureTypeName)` sets the name of the feature type
`void` | `setFilter(Filter filter)` sets a feature-filter as defined in WFS specifications.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureTypeConstraint

    public FeatureTypeConstraint(QualifiedName featureTypeName,
                                 Filter filter,
                                 Extent[] extents)

  constructor initializing the class with the

  Parameters:
    `featureTypeName` -
    `filter` -
    `extents` -

Method Detail

### getFeatureTypeName

    public QualifiedName getFeatureTypeName()

  returns the name of the feature type

  Returns:
    the name of the feature type

### setFeatureTypeName

    public void setFeatureTypeName(QualifiedName featureTypeName)

  sets the name of the feature type

  Parameters:
    `featureTypeName` - the name of the feature type

### getFilter

    public Filter getFilter()

  returns a feature-filter as defined in WFS specifications.

  Returns:
    the filter of the FeatureTypeConstraints

### setFilter

    public void setFilter(Filter filter)

  sets a feature-filter as defined in WFS specifications.

  Parameters:
    `filter` - the filter of the FeatureTypeConstraints

### getExtents

    public Extent[] getExtents()

  returns the extent for filtering the feature type

  Returns:
    the extent for filtering the feature type

### setExtents

    public void setExtents(Extent[] extents)

  sets the extent for filtering the feature type

  Parameters:
    `extents` - extents for filtering the feature type

### addExtent

    public void addExtent(Extent extent)

  Adds an Extent to the Extent-List of a FeatureTypeConstraint

  Parameters:
    `extent` - an extent to add

### removeExtent

    public void removeExtent(Extent extent)

  Removes an Extent from the Extent-List of a FeatureTypeConstraint

  Parameters:
    `extent` - an extent to remove

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    the FeatureTypeConstraint as String

### exportAsXML

    public String exportAsXML()

  exports the content of the FeatureTypeConstraint as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the FeatureTypeConstraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org